Gecode::Council< A > Class Template Reference
Functionality by programming task » Programming actors

Council of advisors More...

`#include <core.hpp>`

## Public Member Functions

| Council (void)
| Default constructor.
| Council (Space &home)
| Construct advisor council.
bool | empty (void) const
| Test whether council has advisor left.
void | update (Space &home, Council< A > &c)
| Update during cloning (copies all advisors).
void | dispose (Space &home)
| Dispose council.

## Detailed Description

template<class A>
class Gecode::Council< A >

Council of advisors

If a propagator uses advisors, it must maintain its advisors through a council.

Definition at line 1241 of file core.hpp.

## Constructor & Destructor Documentation

## Council() [1/2]

template<class A>

Gecode::Council< A >::Council | ( | void |  | ) |

inline

Default constructor.

Definition at line 3907 of file core.hpp.

## Council() [2/2]

template<class A>

Gecode::Council< A >::Council | ( | Space & | home | ) |

inline

Construct advisor council.

Definition at line 3911 of file core.hpp.

## Member Function Documentation

## empty()

template<class A>

bool Gecode::Council< A >::empty | ( | void |  | ) | const

inline

Test whether council has advisor left.

Definition at line 3916 of file core.hpp.

## update()

template<class A>

void Gecode::Council< A >::update | ( | Space & | home,
|  | Council< A > & | c )

inline

Update during cloning (copies all advisors).

Definition at line 3926 of file core.hpp.

## dispose()

template<class A>

void Gecode::Council< A >::dispose | ( | Space & | home | ) |

inline

Dispose council.

Definition at line 3971 of file core.hpp.

The documentation for this class was generated from the following file:

- gecode/kernel/core.hpp